Bug 189009 - Review Request: bzrtools - A collection of utilities and plugins for Bazaar-NG
Review Request: bzrtools - A collection of utilities and plugins for Bazaar-NG
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-14 13:18 EDT by Shahms E. King
Modified: 2014-09-15 08:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-24 10:37:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shahms E. King 2006-04-14 13:18:18 EDT
Spec URL: http://shahms.mesd.k12.or.us/packages/bzrtools.spec
SRPM URL: http://shahms.mesd.k12.or.us/packages/bzrtools-0.7-1.src.rpm
Description:
BzrTools is a collection of plugins for Bazaar-NG (bzr).  Among the included
plugins are:
* push - uses rsync to push local changes to a remote server
* annotate - prints a file annotated with the revision next to each line
* baz-import - (Requres PyBaz) import an arch archive losslessly into bzr
* shelve/unshelve - allows you to undo some changes, commit, and restore
* clean-tree - remove unknown, ignored-junk, or unversioned files from the tree
* graph-ancestry - use dot to produce banch ancestry graphs
* shell - a bzr command interpreter with command completion
* patch - apply a patch to your tree from a file or URL
Comment 1 Orion Poplawski 2006-05-12 18:08:43 EDT
Looks like you want to update to 0.8.1, but:

- spec file is clean and legible.
- md5sum matches
- rpmlint:
E: bzrtools non-executable-script
/usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/hunk_selector.py 0644
E: bzrtools non-executable-script
/usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/__init__.py 0644
E: bzrtools non-executable-script
/usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/diffstat.py 0644
E: bzrtools non-executable-script
/usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/shelf_tests.py 0644
E: bzrtools non-executable-script
/usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/shelf.py 0644
E: bzrtools non-executable-script
/usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/test.py 0644

though since they are library routines, it isn't necessary to be executable.
- license matches source.
- owns all files and directories.

MUST FIX:

- add COPYING to %doc.
Comment 2 Shahms E. King 2006-05-12 18:31:18 EDT
Thanks for taking the time to review the package. I added COPYING, updated to
0.8.1 and fixed a minor problem with bzrtools requiring the same version of bzr
rather than the actually required version of 0.8

The new files are at:
http://shahms.mesd.k12.or.us/packages/bzrtools.spec
http://shahms.mesd.k12.or.us/packages/bzrtools-0.8.1-1.src.rpm
Comment 3 Orion Poplawski 2006-05-12 18:41:17 EDT
(In reply to comment #1)
> - rpmlint:
> E: bzrtools non-executable-script
> /usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/hunk_selector.py 0644
> E: bzrtools non-executable-script
> /usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/__init__.py 0644
> E: bzrtools non-executable-script
> /usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/diffstat.py 0644
> E: bzrtools non-executable-script
> /usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/shelf_tests.py 0644
> E: bzrtools non-executable-script
> /usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/shelf.py 0644
> E: bzrtools non-executable-script
> /usr/lib/python2.4/site-packages/bzrlib/plugins/bzrtools/test.py 0644

Oops, these need to get fixed.  Those scripts that can be run directly need to
be executable.  Those that are library modules need to have #!/usr/bin/python
stripped from them.

More on Monday...
Comment 5 Orion Poplawski 2006-05-15 12:35:41 EDT
- Package builds in mock
- rpmlint clean now

Fix:

- BR should be python, not python-devel.

With that fix, this is approved.
Comment 7 Orion Poplawski 2006-05-17 11:42:07 EDT
APPROVED.
Comment 8 Steve Traylen 2014-09-12 02:43:28 EDT
Package Change Request
======================
Package Name: bzrtools
New Branches: epel7
Owners: bar stevetraylen
Comment 9 Jon Ciesla 2014-09-15 08:00:07 EDT
Git done (by process-git-requests).

Dropped bar from the owners list.

Note You need to log in before you can comment on or make changes to this bug.